# Class: Home

## Home()

Home Controller ------------------------------------------------------------- Controller for the main homepage of this Flitter app. Methods here are used as handlers for routes specified in the route files.

## Constructor

#### new Home()

Source:
  - app/controllers/Home.controller.js, line 11

### Extends

- Controller

### Methods

#### (async) get_status(req, res, next) → {Promise.<*>}

Return the current session's status (including team information and information about the current stage of gameplay).

##### Parameters:

Name | Type | Description
--- | --- | ---
`req` |  |
`res` |  |
`next` |  |

Source:
  - app/controllers/Home.controller.js, line 37

##### Returns:

Type
  Promise.<*>

#### welcome(req, res)

Serve the main welcome page.

##### Parameters:

Name | Type | Description
--- | --- | ---
`req` |  |
`res` |  |

Source:
  - app/controllers/Home.controller.js, line 21